package models

import (
	"github.com/beego/beego/v2/client/orm"
)

type ChartPermissionResp struct {
	ChartPermissionId int    `description:"权限id"`
	PermissionName    string `description:"权限名称"`
}

type ChartPermission struct {
	ChartPermissionId int    `description:"权限id"`
	PermissionName    string `description:"权限名称"`
	IsShowSustainable bool   `description:"是否展示限免标签"`
}

type ChartPermissionListResp struct {
	List []*ChartPermissionResp
}

func GetChartPermissionReportAll(condition string) (items []*ChartPermissionResp, err error) {
	o := orm.NewOrm()
	sql := `SELECT * FROM chart_permission WHERE product_id=2 AND is_report=1 AND permission_type!=2 ` + condition + ` ORDER BY sort ASC `
	_, err = o.Raw(sql).QueryRows(&items)
	return
}

func GetCategoryId(chartPermissionId int) (category_id string, err error) {
	o := orm.NewOrm()
	sql := ` SELECT GROUP_CONCAT(a.category_id) AS category_id 
			FROM cygx_permission_mapping AS a
			WHERE a.chart_permission_id=? 
			GROUP BY a.chart_permission_id `
	err = o.Raw(sql, chartPermissionId).QueryRow(&category_id)
	return
}

func GetChartPermissionById(chartPermissionId int) (item *ChartPermission, err error) {
	o := orm.NewOrm()
	sql := `SELECT * FROM chart_permission WHERE chart_permission_id = ? `
	err = o.Raw(sql, chartPermissionId).QueryRow(&item)
	return
}
