package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxIndustryFllow struct {
	Id                     int       `orm:"column(id);pk"`
	IndustrialManagementId int       `description:"产业D"`
	UserId                 int       `description:"用户ID"`
	Mobile                 string    `description:"手机号"`
	Email                  string    `description:"邮箱"`
	CompanyId              int       `description:"公司id"`
	CompanyName            string    `description:"公司名称"`
	Type                   int       `description:"操作方式，1报名，2取消报名"`
	CreateTime             time.Time `description:"创建时间"`
	ModifyTime             time.Time `description:"更新时间"`
	RealName               string    `description:"用户实际名称"`
	Source                 int       `description:"来源1查研观向，2查研观向小助手"`
}

type CygxIndustryFllowRep struct {
	IndustrialManagementId int `description:"产业D"`
}

//根据手机号获取用户关注的产业
func GetCygxIndustryFllowList(mobile string) (items []*CygxIndustryFllow, err error) {
	o := orm.NewOrm()
	sql := `SELECT * FROM cygx_industry_fllow WHERE mobile = ?`
	_, err = o.Raw(sql, mobile).QueryRows(&items)
	return
}
